# Filename: .github/workflows/biome-check.yaml

name: Biome Code Check

on:
  pull_request:
  workflow_dispatch:

jobs:
  biome-check:
    runs-on: ubuntu-latest
    name: Biome Code Check

    steps:
      - name: Checkout code
        uses: actions/checkout@v6

      - name: Setup Node.js
        uses: actions/setup-node@v6
        with:
          node-version: '24'

      - name: Setup Biome
        run: npx @biomejs/biome init

      - name: Run Biome
        run: npx @biomejs/biome check .
